libetonyek::IWORKMediaElement Class Reference documentation

libetonyek::IWORKMediaElement Class Reference

`#include <IWORKMediaElement.h>`

Inheritance diagram for libetonyek::IWORKMediaElement:

## Public Member Functions
| IWORKMediaElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | startOfElement () override
| Signalize the start of an element.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
IWORKMediaContentPtr_t | m_content
IWORKDataPtr_t | m_movieData
IWORKMediaContentPtr_t | m_audioOnlyImage
IWORKMediaContentPtr_t | m_posterImage
boost::optional< ID_t > | m_audioOnlyImageRef
IWORKStylePtr_t | m_style
IWORKGeometryPtr_t | m_cropGeometry
boost::optional< int > | m_order
boost::optional< IWORKWrap > | m_wrap
boost::optional< IWORKSize > | m_placeholderSize

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKMediaElement()

libetonyek::IWORKMediaElement::IWORKMediaElement | ( | IWORKXMLParserState & | state | ) |
| explicit

Referenced by IWORKMediaElement().

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKMediaElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKMediaElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKMediaElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ startOfElement()

void libetonyek::IWORKMediaElement::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_audioOnlyImage

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_audioOnlyImage
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_audioOnlyImageRef

boost::optional<ID_t> libetonyek::IWORKMediaElement::m_audioOnlyImageRef
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_content

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_content
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_cropGeometry

IWORKGeometryPtr_t libetonyek::IWORKMediaElement::m_cropGeometry
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_movieData

IWORKDataPtr_t libetonyek::IWORKMediaElement::m_movieData
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_order

boost::optional<int> libetonyek::IWORKMediaElement::m_order
| private

Referenced by attribute(), endOfElement(), and IWORKMediaElement().

## ◆ m_placeholderSize

boost::optional<IWORKSize> libetonyek::IWORKMediaElement::m_placeholderSize
| private

Referenced by element(), and IWORKMediaElement().

## ◆ m_posterImage

IWORKMediaContentPtr_t libetonyek::IWORKMediaElement::m_posterImage
| private

Referenced by element(), endOfElement(), and IWORKMediaElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKMediaElement::m_style
| private

Referenced by element(), and IWORKMediaElement().

## ◆ m_wrap

boost::optional<IWORKWrap> libetonyek::IWORKMediaElement::m_wrap
| private

Referenced by element(), and IWORKMediaElement().

The documentation for this class was generated from the following files:

- IWORKMediaElement.h
- IWORKMediaElement.cpp